Subject: Re: [PATCH 09/10] tree: stop using the_repository

From: Junio C Hamano <[email-masked]>
Date: Mon, 12 Jan 2026 06:22:11 -0800

Patrick Steinhardt <[email-masked]> writes:

> On Fri, Jan 09, 2026 at 10:30:20PM +0100, René Scharfe wrote:
>> Push the use of the_repository to the remaining callers by turning the
>> compatibility wrappers into macros, whose use still requires
>> USE_THE_REPOSITORY_VARIABLE to be defined.
>
> Can't we make this step a bit more explicit by adapting all callers to
> parse `repo_parse_tree()` with `the_repository`? That makes it way more
> obvious that we rely on the global repository.
>
> Edit: I see that you _do_ edit all callsites in the next commit, nice.
>
> In any case, I'd propose to move the compatibility macros into a section
> that says something like:
>
>     /* Deprecated wrappers that will be removed once Git 2.53 is released. */

Please do not take release schedule hostage to one particular fix-up
series of patches.  Thanks.

>
> We can then have a follow-up patch in a couple weeks to convert any new
> callsites that were added meanwhile and then purge the compatibility
> wrappers.
>
> Thanks!
>
> Patrick